> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alpic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get playground configuration

> Get the playground configuration for an environment



## OpenAPI

````yaml https://api.alpic.ai/openapi.json get /v1/environments/{environmentId}/playground
openapi: 3.1.1
info:
  title: Alpic API
  version: 1.0.0
servers:
  - url: https://api.alpic.ai
security:
  - bearerAuth: []
paths:
  /v1/environments/{environmentId}/playground:
    get:
      tags:
        - environments
      summary: Get playground configuration
      description: Get the playground configuration for an environment
      operationId: playground.get.v1
      parameters:
        - name: environmentId
          in: path
          required: true
          schema:
            type: string
            description: The ID of the environment
      responses:
        '200':
          description: The playground configuration
          content:
            application/json:
              schema:
                type: object
                properties:
                  isPlaygroundEnabled:
                    type: boolean
                  serverMetadata:
                    anyOf:
                      - type: object
                        properties:
                          name:
                            type: string
                          description:
                            type: string
                          headers:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                description:
                                  type: string
                                isRequired:
                                  type: boolean
                                isSecret:
                                  type: boolean
                              required:
                                - name
                                - description
                                - isRequired
                                - isSecret
                          examplePrompts:
                            type: array
                            items:
                              type: object
                              properties:
                                title:
                                  type: string
                                  minLength: 1
                                  maxLength: 100
                                prompt:
                                  type: string
                                  minLength: 1
                                  maxLength: 500
                              required:
                                - title
                                - prompt
                        required:
                          - name
                          - description
                          - headers
                          - examplePrompts
                      - type: 'null'
                required:
                  - isPlaygroundEnabled
                  - serverMetadata
        '404':
          description: '404'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: NOT_FOUND
                      status:
                        const: 404
                      message:
                        type: string
                        default: Not Found
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        Bearer token for authentication. Use an API key from the API Keys page
        in team settings, or an OAuth access token.
      scheme: bearer

````